

<div class="container ET_EXT">
	<div>
		<pre et type="text/javascript">
// 事件：
tbl.menu.add(tit, hotkey, fun, targe); //添加菜单
tbl.onEdit=function(td, idx, key, data, statu); //编辑事件

// th标题属性：
feild //数据映射，自动加载时会调用此规则对数据进行映射
		</pre>
	</div>
	<fieldset >
		<legend>数据映射</legend>
		<pre>
&lt;table et id="ET_TABLE_DATAMAP" &gt;
	&lt;thead  &gt;
		&lt;tr  &gt;
			&lt;th feild="id" tpl="{id}" &gt; 序号&lt;/th  &gt;
			&lt;th feild="title" &gt; 标题&lt;/th  &gt;
		&lt;/tr  &gt;
	&lt;/thead  &gt;
&lt;/table&gt;
		</pre>
		<p>tpl 为指定渲染模板，不指定默认为feild值</p>
		<pre et type="text/javascript" id="hpredatamap">
ET_TABLE_DATAMAP.push({id:1, title:'这是标题'},{id:2, title:'这是标题'});
		</pre>
		<button onclick="ET.execJS(hpredatamap.innerText)">测试</button>
	<table et id="ET_TABLE_DATAMAP" >
		<thead  >
			<tr  >
				<th feild="id" > 序号</th  >
				<th feild="title" > 标题</th  >
			</tr  >
		</thead  >
	</table>	

	</fieldset>	
	<table et>
		<thead>
			<tr>
				<th>ID</th>
				<th>姓名</th>
				<th>性别</th>
				<th>邮箱</th>
				<th>国家</th>
			</tr>
		</thead>
		<tbody>
			<tr> <td>1</td> <td>张3</td> <td>男</td> <td>rimke1@163.com</td> <td>中国</td> </tr>
			<tr> <td>2</td> <td>张2</td> <td>女</td> <td>rimke2@163.com</td> <td>美国</td> </tr>
			<tr> <td>3</td> <td>张3</td> <td>女</td> <td>rimke3@163.com</td> <td>日本</td> </tr>
			<tr> <td>4</td> <td>张4</td> <td>男</td> <td>rimke4@163.com</td> <td>台海</td> </tr>
			<tr> <td>5</td> <td>张5</td> <td>女</td> <td>rimke5@163.com</td> <td>香港</td> </tr>
			<tr> <td>5</td> <td>张5</td> <td>男</td> <td>rimke6@163.com</td> <td>中国</td> </tr>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="5">
					点右键尝试一下功能菜单
				</td>
			</tr>
		</tfoot>
	</table>

	<table et>
		<thead>
			<tr>
				<th feild="id" rowspan="2">ID</th>
				<th feild="sex" rowspan="2">姓名</th>
				<th colspan="2">性别</th>
				<th rowspan="2">邮箱</th>
				<th rowspan="2">国家</th>
				<th colspan="3">联系方式</th>
			</tr>
			<tr>
				<th>男</th>
				<th>女</th>
				<th>QQ</th>
				<th>WeiXin</th>
				<th>手机</th>
			</tr>
		</thead>
		<tbody>
			<tr> <td>1</td> <td>张3</td> <td>o</td><td>x</td> <td>rimke1@163.com</td> <td>中国</td><td>466814195</td><td>WX466814195</td><td>15914176453</td> </tr>
			<tr> <td>2</td> <td>张2</td> <td>x</td><td>o</td> <td>rimke2@163.com</td> <td>美国</td><td>111111111</td><td>WX466814195</td><td>15914176453</td> </tr>
			<tr> <td>3</td> <td>张3</td> <td>x</td><td>o</td> <td>rimke3@163.com</td> <td>日本</td><td>222222222</td><td>WX466814195</td><td>15914176453</td> </tr>
			<tr> <td>4</td> <td>张4</td> <td>0</td><td>x</td> <td>rimke4@163.com</td> <td>台海</td><td>333333333</td><td>WX466814195</td><td>15914176453</td> </tr>
			<tr> <td>5</td> <td>张5</td> <td>0</td><td>x</td> <td>rimke5@163.com</td> <td>香港</td><td>444444444</td><td>WX466814195</td><td>15914176453</td> </tr>
			<tr> <td>5</td> <td>张5</td> <td>x</td><td>o</td> <td>rimke6@163.com</td> <td>中国</td><td>555555555</td><td>WX466814195</td><td>15914176453</td> </tr>
		</tbody>
		<tfoot>
			<tr>
				<td colspan="9">
					点右键尝试一下功能菜单
				</td>
			</tr>
		</tfoot>
	</table>	
	<fieldset >
		<legend>加载方式1</legend>
		<pre>
&lt;table et  &gt;
---
&lt;/table&gt;
		</pre>
		<p>在table标签中加用et属性</p>
	</fieldset>
	<fieldset >
		<legend>加载方式2</legend>
		<pre et type="javascript"> ET('table id') </pre>
		<p>Javascript 中操作加载，其中table id为table元素</p>
	</fieldset>
	<fieldset >
		<legend>添加菜单</legend>
		<pre et type="javascript">
var tbl = ET('table');
tbl.menu.add(tit, hotkey, fun, targe);
		</pre>
		<p>参数说明</p>
		<table et>
			<thead>
				<tr>
					<th>参数</th>
					<th>说明</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>tit</td>
					<td>显示名称</td>
				</tr>
				<tr>
					<td>hotkey</td>
					<td>热键/快捷键</td>
				</tr>
				<tr>
					<td>fun</td>
					<td>执行函数</td>
				</tr>
				<tr>
					<td>targe</td>
					<td>目标，thead或tbody, 默认添加到tbody中</td>
				</tr>
			</tbody>
		</table>
	</fieldset>
	<fieldset >
		<legend>注意事项</legend>
		<p>table标签必须符合html标签格式如，标题存在于thead, 内容存在于tbody</p>
	</fieldset>
	<fieldset >
		<legend>onEdit事件</legend>
		<pre et type="javascript">
var tbl = ET('table');
tbl.onEdit=function(td, idx, key, data, statu){

};
		</pre>
		<p>参数说明</p>
		<table et>
			<thead>
				<tr>
					<th>参数</th>
					<th>说明</th>
				</tr>
			</thead>
			<tbody>
				<tr>
					<td>td</td>
					<td>当前编辑的td,或th对象</td>
				</tr>
				<tr>
					<td>idx</td>
					<td>当前td,在父级tr, 中排序</td>
				</tr>
				<tr>
					<td>key</td>
					<td>对应的标题名称</td>
				</tr>
				<tr>
					<td>data</td>
					<td>表格修改后的数据</td>
				</tr>
				<tr>
					<td>statu</td>
					<td>状态， 0表示修改后与修改前内容一致，
						<p>-2, 数量不一至</p>
						<p>-3, 键不存在</p>
						<p>-4, 数据类型不一至</p>
						<p>-5, 数据不一至 </p>
					</td>
				</tr>
			</tbody>
		</table>
	</fieldset>
	<fieldset >
		<legend>自动标识标题</legend>
		<pre et type="javascript">
var tbl = ET('table');
		</pre>
		<p>一、无thead标签识别</p>
		<table et>
			<tbody>
				<tr>
					<td>姓名</td>
					<td>性别</td>
					<td>邮箱</td>
				</tr>
				<tr>
					<td>半条虫</td>
					<td>男</td>
					<td>rimke@163.com</td>
				</tr>
				<tr>
					<td>明天雨默</td>
					<td>女</td>
					<td>qszrimke@163.com</td>
				</tr>
			</tbody>
		</table>
		<p>二、无thead和tbody标签识别</p>
		<table et>
				<tr>
					<td>姓名</td>
					<td>性别</td>
					<td>邮箱</td>
				</tr>
				<tr>
					<td>半条虫</td>
					<td>男</td>
					<td>rimke@163.com</td>
				</tr>
				<tr>
					<td>明天雨默</td>
					<td>女</td>
					<td>qszrimke@163.com</td>
				</tr>
		</table>
	</fieldset>
	<fieldset >
		<legend>注意事项</legend>
		<p>table标签必须符合html标签格式如，标题存在于thead, 内容存在于tbody</p>
	</fieldset>

</div>
<script>


</script>